# Uses of Interface
org.eclipse.birt.chart.model.ChartWithAxes

Packages that use ChartWithAxes
Package
Description
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of ChartWithAxes in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return ChartWithAxes
Modifier and Type
Method
Description
`ChartWithAxes`
PlotWithAxes.`getModel()`
Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type ChartWithAxes
Modifier and Type
Method
Description
`static StackedSeriesLookup`
StackedSeriesLookup.`create(ChartWithAxes cwa, RunTimeContext rtc)`
Constructors in org.eclipse.birt.chart.computation.withaxes with parameters of type ChartWithAxes
Modifier
Constructor
Description
``
`PlotWith2DAxes(IDisplayServer _ids, ChartWithAxes _cwa, RunTimeContext _rtc)`
The default constructor
``
`PlotWith3DAxes(IDisplayServer _ids, ChartWithAxes _cwa, RunTimeContext _rtc)`
``
`PlotWithAxes(IDisplayServer ids, RunTimeContext rtc, ChartWithAxes cwa)`

## Uses of ChartWithAxes in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return ChartWithAxes
Modifier and Type
Method
Description
`ChartWithAxes`
ChartWithAxes.`copyInstance()`
`ChartWithAxes`
ModelFactory.`createChartWithAxes()`
Returns a new object of class 'Chart With Axes'.

## Uses of ChartWithAxes in org.eclipse.birt.chart.model.impl

Classes in org.eclipse.birt.chart.model.impl that implement ChartWithAxes
Modifier and Type
Class
Description
`class`
`ChartWithAxesImpl`
An implementation of the model object ' Chart With Axes'.
Methods in org.eclipse.birt.chart.model.impl that return ChartWithAxes
Modifier and Type
Method
Description
`ChartWithAxes`
ChartWithAxesImpl.`copyInstance()`
`static final ChartWithAxes`
ChartWithAxesImpl.`create()`
A convenience method to create an initialized 'ChartWithAxes' instance Note: Manually written
`ChartWithAxes`
ModelFactoryImpl.`createChartWithAxes()`
`static final ChartWithAxes`
ChartWithAxesImpl.`createDefault()`
A convenience method to create an initialized 'ChartWithAxes' instance Note: Manually written

## Uses of ChartWithAxes in org.eclipse.birt.chart.render

Constructors in org.eclipse.birt.chart.render with parameters of type ChartWithAxes
Modifier
Constructor
Description
``
`CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, boolean _bShowAsTape, double _tapeWidth, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)`
The constructor.
``
`CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, double _zeroLocation, boolean _bShowAsTape, double _tapeWidth, boolean _bFillArea, boolean _bTranslucent, boolean _bUseLastState, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)`
The constructor.